Die Veranstaltungsanmeldungen des Mitglieds (mit dem QR-Inhalt der bestätigten)
GET
/v1/me/registrations
const url = 'https://api.vimine.network/v1/me/registrations?filter=upcoming';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vimine.network/v1/me/registrations?filter=upcoming' \ --header 'Authorization: Bearer <token>'Autorisierungen
Abschnitt betitelt „Autorisierungen“Parameter
Abschnitt betitelt „Parameter“Query-Parameter
Abschnitt betitelt „Query-Parameter“filter
string
Antworten
Abschnitt betitelt „Antworten“Anmeldungen
Medientypapplication/json
object
items
Array<object>
object
id
string Format: uuid
status
string
event
object
id
string
slug
string
title
string
starts_at
string Format: date-time
ends_at
string Format: date-time
timezone
string
status
string
location
string
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string Format: date-time
checked_in_at
string Format: date-time
cancelled_at
string Format: date-time
cancel_reason
string
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string Format: date-time
payment_instructions
Wie der Beitrag zu zahlen ist, solange reserviert
string
note
Freier Text, den die Person geschrieben hat. Für Clients von Drittanbietern zurückgehalten (null), wenn der Verein erklärt hat, dass er besondere Kategorien von Daten verarbeitet
string
created_at
string Format: date-time
token
Der QR-Inhalt der Anmeldung (vmt_…), nur bei bestätigten Anmeldungen
string
Beispiel
{ "items": [ { "status": "reserved" } ]}Ungültige Anfrage
Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Fehlende oder ungültige Zugangsdaten
Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Nicht erlaubt
Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Nicht gefunden
Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Ratenlimit überschritten
Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Interner Fehler
Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}